gnutls_hex_decode2(3)

NAME
gnutls_hex_decode2 - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_hex_decode2(const gnutls_datum_t * hex_data, gnutls_datum_t * result);

ARGUMENTS

const gnutls_datum_t * hex_data
    contain the encoded data

gnutls_datum_t * result
    the result in an allocated string

DESCRIPTION
This function will decode the given encoded data, using the hex encoding used by PSK password files.

RETURNS
GNUTLS_E_PARSING_ERROR on invalid hex data, or 0 on success.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2020 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/